<template>
    <div class="body container">
        <div>
            <h1>Player Name</h1>
        </div>
        <div class="name">
            <form @submit="onSubmitName">
                <div class="form-group">
                    <label for="name">Enter your name</label>
                    <input v-model="name" type="text" class="form-control" id="name" placeholder="Enter your name">
                </div>
                <button type="submit" class="btn btn-primary">Submit</button>
            </form>
        </div>
    </div>
</template>

<script>
export default {
    name: 'Name',
    data() {
        return {
            name: '',
        }
    },
    methods: {
        onSubmitName(e) {
            e.preventDefault();

            const name = this.name;

            if(!name) {
                alert('Please enter your name');
            } else {
                localStorage.setItem('name', name)
                this.$router.push({name:'Question', params: {name: name}})
            }
        }
    }
}
</script>
